Download it now!
Bug 90939 - Editing: Footnote (only one in the doc) inserted on last line of last column in section is not visible without extra editing
Summary: Editing: Footnote (only one in the doc) inserted on last line of last column...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: Footnote-Endnote DOC
  Show dependency treegraph
 
Reported: 2015-04-29 15:47 UTC by Gordo
Modified: 2019-12-03 14:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test document (16.02 KB, application/vnd.oasis.opendocument.text)
2015-04-29 15:47 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-04-29 15:47:22 UTC
Created attachment 115190 [details]
test document

Format → Sections → Options → Footnotes/Endnotes → Collect at end of text is checked.

1. Open attached document.
4. Place cursor anywhere on last line in first column.
5. Insert → Footnote/Endnote.
6. Place cursor anywhere on last line in second column.
7. Insert → Footnote/Endnote.
Result:
Footnote at bottom of each column.
8. Undo all.
9. Place cursor anywhere in second column except the last line.
10. Insert → Footnote/Endnote.
Result:
Footnote at bottom of column.
11. Undo all.
12. Place cursor anywhere on last line in second column.
13. Insert → Footnote/Endnote.
Result:
Footnote anchor is visible but not the footnote.  If you press Enter at the end of the paragraph then the footnote is now visible.  If an empty paragraph is added before the footnote is inserted then the footnote will be visible.

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 1 Cor Nouws 2015-04-29 18:17:07 UTC
(just clarifying the summary)
thanks Gordo for the report
Comment 2 Buovjaga 2015-04-29 18:36:04 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI

Ubuntu 15.04 64-bit 
OpenOffice.org 3.3.0
OOO330m20 (Build:9567)
Comment 3 Gordo 2015-04-29 18:56:54 UTC
If the first and only footnote you insert is to the last line then the footnote is not visible.  No sequence of insert and undo is required.  I just did the other stuff to demonstrate that it is visible in other instances.
Comment 4 Cor Nouws 2015-04-29 20:54:31 UTC
@gordo: apologies - thanks for explaining
Comment 5 QA Administrators 2016-09-20 09:37:05 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:37:51 UTC
Dear Gordo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug